View Issue Details

IDProjectCategoryView StatusLast Update
0008195VCOMPONENT-VKERNELEncryptionpublic2018-02-24 08:07
ReporterSergey PashkovAssigned ToIvan Smahin 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version8.0.xFixed in Version8.0.x 
Summary0008195: Crash on opening an encrypted database with Enum field in table
Description1. Create a new database
2. Create an Enum type and a Table with it
CREATE TYPE IF NOT EXISTS "Color" AS Enum8( 'Red', 'Yellow', 'Blue' );

CREATE TABLE "Items"(
    "fldNumber" LLONG,
    "fldColor" "Color" );

3. Encrypt structure with key, e.g. 111
4. Close the database
5. Reopen, enter key - crash

Additional Information/**********************************************************************************************/
void Consumer_Imp::AddGoods( I_Goods* inpObject )
{
    FBL_CHECK( inpObject );
    if( mGoods->Include( inpObject ) == false)
    {
        mGoods->AddItem( inpObject );
        inpObject->AddConsumer( this ); <<<< inpObject == NULL

#0 0x000000011613b61c in fbl::Consumer_Imp::AddGoods(fbl::I_Goods*) at /sources/VKernel/FBL/prot/Structure/Imps/FBL_Consumer_Imp.cpp:64
#1 0x000000011618058a in fbl::VEnum_imp::RegisterType(fbl::smart_ptr<fbl::I_Type_Enumerated>) at /sources/VKernel/FBL/prot/Structure/Fields/FBL_VEnum.cpp:193
#2 0x0000000116181b10 in fbl::VEnum_imp::ReadProperties() at /sources/VKernel/FBL/prot/Structure/Fields/FBL_VEnum.cpp:157
0000003 0x0000000116181bf9 in non-virtual thunk to fbl::VEnum_imp::ReadProperties() at /sources/VKernel/FBL/prot/Structure/Fields/FBL_VEnum.cpp:145
0000004 0x000000011594fbaa in fbl::I_SchemaStorable_Impl::ReadFromSchema() at /sources/VKernel/FBL/prot/Structure/SysTables/FBL_SchemaStorable.cpp:163
0000005 0x0000000115950411 in fbl::I_SchemaStorable_Impl::Create_ChildElements_Instances(fbl::SysItemKind) at /sources/VKernel/FBL/prot/Structure/SysTables/FBL_SchemaStorable.cpp:223
0000006 0x000000011597ad82 in fbl::Table::ReadElements() at /sources/VKernel/FBL/prot/Structure/Tables/FBL_Table.cpp:530
0000007 0x000000011597b5cc in non-virtual thunk to fbl::Table::ReadElements() at /sources/VKernel/FBL/prot/Structure/Tables/FBL_Table.cpp:520
0000008 0x000000011594fbc2 in fbl::I_SchemaStorable_Impl::ReadFromSchema() at /sources/VKernel/FBL/prot/Structure/SysTables/FBL_SchemaStorable.cpp:164
0000009 0x0000000115950411 in fbl::I_SchemaStorable_Impl::Create_ChildElements_Instances(fbl::SysItemKind) at /sources/VKernel/FBL/prot/Structure/SysTables/FBL_SchemaStorable.cpp:223
#10 0x0000000115ad0904 in fbl::Database_imp::ReadElements() at /sources/VKernel/FBL/prot/Structure/Database/FBL_Database_imp.cpp:5989
#11 0x0000000115ad16f9 in non-virtual thunk to fbl::Database_imp::ReadElements() at /sources/VKernel/FBL/prot/Structure/Database/FBL_Database_imp.cpp:5958
#12 0x000000011594fbc2 in fbl::I_SchemaStorable_Impl::ReadFromSchema() at /sources/VKernel/FBL/prot/Structure/SysTables/FBL_SchemaStorable.cpp:164
#13 0x0000000115abf062 in fbl::Database_imp::CheckFileFormatAndReadSchema() at /sources/VKernel/FBL/prot/Structure/Database/FBL_Database_imp.cpp:6802
#14 0x0000000115abe844 in fbl::Database_imp::Open_imp() at /sources/VKernel/FBL/prot/Structure/Database/FBL_Database_imp.cpp:4194
#15 0x0000000115aab219 in fbl::Database_imp::Open() at /sources/VKernel/FBL/prot/Structure/Database/FBL_Database_imp.cpp:1633
TagsNo tags attached.

Relationships

parent of 0008194 resolvedIvan Smahin VALENTINA STUDIO VStudio crashes when you try to open a shema encrypted database 

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2018-02-20 16:02

administrator   ~0010069

todo: test which reproduces.

Issue History

Date Modified Username Field Change
2018-02-16 15:35 Sergey Pashkov New Issue
2018-02-16 15:37 Sergey Pashkov Relationship added parent of 0008194
2018-02-20 16:02 Ruslan Zasukhin Assigned To => Ruslan Zasukhin
2018-02-20 16:02 Ruslan Zasukhin Status new => assigned
2018-02-20 16:02 Ruslan Zasukhin Note Added: 0010069
2018-02-24 08:07 Ivan Smahin Status assigned => resolved
2018-02-24 08:07 Ivan Smahin Fixed in Version => 8.0.x
2018-02-24 08:07 Ivan Smahin Resolution open => fixed
2018-02-24 08:07 Ivan Smahin Assigned To Ruslan Zasukhin => Ivan Smahin